---
updatedAt: 2026-05-27T18:13:48.000Z
agentTools:
  projectIndex: https://docs.infiniaweb.com/llms.txt
---

# List Webhooks

Retrieve a paginated list of webhooks.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Webhooks",
    "description": "Manage your webhooks",
    "version": "0.1.0"
  },
  "servers": [
    {
      "url": "https://app2test.infiniaweb.com/infinia_api/v1/webhooks",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/": {
      "get": {
        "tags": [
          "Webhooks"
        ],
        "summary": "List Webhooks",
        "description": "Retrieve a paginated list of webhooks.",
        "operationId": "v1_list_webhooks__get",
        "security": [
          {
            "HTTPBasic": []
          }
        ],
        "parameters": [
          {
            "name": "date_from",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{3})?(Z|([+-]\\d{2}:\\d{2}))?$",
              "description": "ISO 8601 timestamp (UTC). Only include movements on or after this time.",
              "title": "Date From"
            },
            "description": "ISO 8601 timestamp (UTC). Only include movements on or after this time."
          },
          {
            "name": "date_to",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{3})?(Z|([+-]\\d{2}:\\d{2}))?$",
              "description": "ISO 8601 timestamp (UTC). Only include movements on or before this time.",
              "title": "Date To"
            },
            "description": "ISO 8601 timestamp (UTC). Only include movements on or before this time."
          },
          {
            "name": "status",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Filter by webhook status.",
              "title": "Status"
            },
            "description": "Filter by webhook status."
          },
          {
            "name": "operation_type",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "description": "If provided, only return movements with this operation type.",
              "title": "Operation Type"
            },
            "description": "If provided, only return movements with this operation type."
          },
          {
            "name": "operation_id",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "description": "If provided, only return movements with this operation ID.",
              "title": "Operation Id"
            },
            "description": "If provided, only return movements with this operation ID."
          },
          {
            "name": "page_number",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 1,
              "description": "Page index (1-based). Results start from page 1 by default.",
              "deprecated": true,
              "default": 1,
              "title": "Page Number"
            },
            "description": "Page index (1-based). Results start from page 1 by default.",
            "deprecated": true
          },
          {
            "name": "page_size",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 1,
              "description": "Maximum number of movements to return per page. Defaults to 50.",
              "deprecated": true,
              "default": 50,
              "title": "Page Size"
            },
            "description": "Maximum number of movements to return per page. Defaults to 50.",
            "deprecated": true
          },
          {
            "name": "limit",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer",
              "maximum": 100,
              "minimum": 1,
              "default": 50,
              "title": "Limit"
            }
          },
          {
            "name": "cursor",
            "in": "query",
            "required": false,
            "schema": {
              "title": "Cursor",
              "type": "string"
            }
          },
          {
            "name": "x-company-id",
            "in": "header",
            "required": false,
            "schema": {
              "description": "ID of a child company for authentication. If not provided, the parent company will be authenticated.",
              "title": "X-Company-Id",
              "type": "integer"
            },
            "description": "ID of a child company for authentication. If not provided, the parent company will be authenticated."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebhookSuccess"
                }
              }
            }
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Bad Request"
          },
          "422": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Unprocessable Entity"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "properties": {
          "status": {
            "type": "string",
            "enum": [
              "error",
              "fail"
            ],
            "title": "Status",
            "default": "error"
          },
          "message": {
            "title": "Message",
            "type": "string"
          },
          "error_code": {
            "title": "Error Code",
            "type": "string"
          },
          "trace_id": {
            "title": "Trace Id",
            "type": "string"
          }
        },
        "type": "object",
        "required": [
          "message"
        ],
        "title": "Error Response"
      },
      "PublicWebhookResponse": {
        "properties": {
          "id": {
            "title": "Id",
            "description": "The unique identifier of the webhook",
            "type": "string"
          },
          "status": {
            "description": "The current status of the webhook",
            "$ref": "#/components/schemas/StatusWebhook"
          },
          "created_at": {
            "title": "Created At",
            "description": "The creation timestamp of the webhook",
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "title": "Updated At",
            "description": "The last update timestamp of the webhook",
            "type": "string",
            "format": "date-time"
          },
          "operation_type": {
            "title": "Operation Type",
            "description": "The type of operation the webhook is associated with",
            "type": "string"
          },
          "url": {
            "title": "Url",
            "description": "The URL the webhook is pointing to",
            "type": "string"
          },
          "last_response_status": {
            "title": "Last Response Status",
            "description": "The status of the last response received from the webhook",
            "type": "string"
          },
          "last_response_body": {
            "anyOf": [
              {
                "additionalProperties": true,
                "type": "object"
              },
              {
                "type": "string"
              }
            ],
            "title": "Last Response Body",
            "description": "The body of the last response received from the webhook"
          }
        },
        "type": "object",
        "title": "PublicWebhookResponse"
      },
      "StatusWebhook": {
        "type": "string",
        "enum": [
          "INITIATED",
          "PENDING",
          "QUEUED",
          "SENT",
          "ERROR"
        ],
        "title": "StatusWebhook"
      },
      "WebhookSuccess": {
        "properties": {
          "status": {
            "type": "string",
            "title": "Status",
            "default": "success",
            "enum": [
              "success"
            ]
          },
          "data": {
            "$ref": "#/components/schemas/PublicWebhookResponse"
          }
        },
        "type": "object",
        "required": [
          "data"
        ],
        "title": "WebhookSuccess"
      }
    },
    "securitySchemes": {
      "HTTPBasic": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```